<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>

    <script>
        /* 
                Faça um algoritmo que retorne a soma de todos os numeros pares de um array
                                                                                                                                                                                                                                            */
        function sum(numbers) {
            let aux = 0;
            for (let index = 0; index < numbers.length; index++) {
                if (numbers[index] % 2 == 0) {
                    aux = aux + numbers[index];
                }
            }
            return aux;
        }

        let resultados = sum([5, 4, 2, 8, 11])
        console.log(resultados)

        // Resultados esperados
        console.log(sum([4, 6, 12, 5])) // 22 
        console.log(sum([9, 234, 312, 999, 21, 2311])) // 546 
        console.log(sum([533, 234, 23423, 32, 48876])) // 49142  
        console.log(sum([5, 4, 3, 2, 1])) // 6
    </script>
</body>

</html>